
//I'm a computer science sophemore and this class is to create an object player with fields about informations about him(scored goals, subsitute or playing, etc..).
public class Player {
	private int jerseyNumber;
	private String position;
	private String name;
	private int scoredGoals;
	private double scoringProb;
	private boolean isPlaying;
	
	public Player(int jerseyNumber, String position, String name, double scoringProb) {
		//constructor.
		this.jerseyNumber = jerseyNumber;
		this.position = position;
		this.name = name;
		this.scoringProb = scoringProb;
		scoredGoals = 0;
		isPlaying = false;
	}
	
	public int getScoredGoals(){
		//getter for scored goals.
		return scoredGoals;
	}
	
	public void calcScoredGoals() {
		//calculate/update the number of scored goals of a player.
		double compare = Math.random();
		
		if(compare<=scoringProb) {
			scoredGoals++;
		}
	}
	
	public double getScoringProb() {
		//getter for the scoring probability of a player.
		return scoringProb;
	}
	
	public void setScoringProb(double scoringProb) {
		//set the value of scoring probability of a player.
		this.scoringProb = scoringProb;
	}
	
	public boolean getIsPlaying(){
		//return true if the player is playing, false otherwise.
		return isPlaying;
	}
	
	public void setIsPlaying(boolean isPlaying) {
		//sets the value of isPlaying for a player.
		this.isPlaying = isPlaying;
	}
	
	public String getPosition(){
		//get the position of the player.
		return position;
	}
	
	public String toString(){
		//return a string representation of a player.
		String toReturn="[" + name+", " + jerseyNumber + ", " + position + ", " + scoredGoals + ", ";
		if(isPlaying){
			toReturn+="playing]";
		} else{
			toReturn+="substitute]";
		}
		return toReturn;
	}
}
