import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;


//I'm a computer science sophemore and this class construct an array of teams from a file input, and have method to run a tournament between the teams.
public class Tournament {
	private Team[] teams;
	
	
	public Tournament(int numOfTeams) throws FileNotFoundException {
		//construct the array of teams based on the information in the text file team.txt.
		teams = new Team[numOfTeams];
		Scanner use = new Scanner(new File("Teams.txt"));
		String str="";
		for(int i=0; i<numOfTeams; i++) {
			//fill numOfteam teams.
			while(!str.contains("-")){
				//every team ends with its formation that contains "-" so this while stops when the team information has ended.
				str+=use.nextLine();
			}
			Scanner construct = new Scanner(str);
			teams[i] = new Team(construct);
			str="";
		}
	}
	
	public void play(Team t1, Team t2) {
		//take 2 teams parameters, check the scoring ability of each after setting te formation(playing players) and prints the winner between them.
		t1.createFirstEleven();
		t1.scoringAbility();
		int team1 = t1.getScoringAbility();
		
		t2.createFirstEleven();
		t2.scoringAbility();
		int team2 = t2.getScoringAbility();
		
		if(team1<team2){
			System.out.println(t2.getTeamName() + " beats " + t1.getTeamName());
			t1.setWon(false);
		} else{
			System.out.println(t1.getTeamName() + " beats " + t2.getTeamName());
			t2.setWon(false);
		}
	}
	
	public void run() {
		//this method run a tournament between the teams in the array of teams and prints the winner in each play.
		Team[] halfChampionShip = new Team[4];
		Team[] ChampionShip = new Team[2];
		int j=0;
		for(int i=0; i<teams.length; i++){
			//runs the first half of the championship.
			play(teams[i], teams[i+1]);
			i++;
			if(teams[i].getWon()){
				halfChampionShip[j]=teams[i];
			} else {
				halfChampionShip[j]=teams[i+1];
			}
			j++;
		}
		j=0;
		for(int i=0; i<halfChampionShip.length; i++) {
			//runs the semi-final.
			play(halfChampionShip[i], halfChampionShip[i+1]);
			i++;
			if(halfChampionShip[i].getWon()){
				ChampionShip[j]=ChampionShip[i];
			} else{
				ChampionShip[j]=ChampionShip[i+1];
			}
			j++;
		}
		
		for(int i=0; i<ChampionShip.length; i++) {
			//runs the final match.
			play(ChampionShip[i], ChampionShip[i+1]);
			i++;
			if(ChampionShip[i].getWon()) {
				System.out.println("\nThe championShip goes to:");
				System.out.print(ChampionShip[i].toString() + "Player of the tournament: " + ChampionShip[i].getBestPlayer().toString());
			} else{
				System.out.println("\nThe championShip goes to:");
				System.out.print(ChampionShip[i+1].toString() + "Player of the tournament: " + ChampionShip[i+1].getBestPlayer().toString());
			}
		}
	}
	
}
